Subject: RE: [On Rewriting SMTP and DNS] RE: MARID to close - Comments/Sug gestions

From: "Hallam-Baker, Phillip" <[email-masked]>
Date: Sat, 25 Sep 2004 12:59:53 -0700

In fairness to Bob. There is a big difference between saying
"DNS cannot do that" and "The deployed Microsoft DNS server
does not do that".

There are many cultural tensions at work here. The practices 
of systems operation acceptable in the UNIX world are not
acceptable to Windows sysops. Within the UNIX world there is
a vast gulf between the management practices acceptable in
a small operation and the processes used by infrastructure
providers.

It is however somewhat incongruous to hear a network standards
organization that has signally failed to provide security in
email, DNS and the IP protocol go lecturing word processing
vendors for design decisions taken long before the Internet 
went mainstream.

> -----Original Message-----
> From: Gordon Fecyk [mailto:[email-masked]]
> Sent: Friday, September 24, 2004 11:42 PM
> To: [email-masked]
> Subject: [On Rewriting SMTP and DNS] RE: MARID to close -
> Comments/Suggestions
> 
> 
> 
> > 3) Optional: Rewrite SMTP 2821
> > 
> > unless the MARID group gets the IETF-SMTP involved,  it will be
> > a tough climb to reach the common goals we are all looking for
> > success across the board.   We need to recognize that the old
> > design philosophy in SMTP 2821, a "relaxed internet spirit
> > required for wide deployment with less
> > emphasis with security" no longer applies today.
> 
> I'm a newcomer to the IETF and I've observed this snobbish 
> attitude right
> from the first day I stepped into the the Lotte Hotel in 
> Seoul[1].  That of
> the SMTP working group, I mean, and while Hector didn't 
> mention them, the DNS
> working group too.
> 
> "This fundamentaly changes the semantics of X," was a favorite line
> throughout this process.  There are a few in this group who 
> represent this
> thought who I will refer to as The Old Guard.
> 
> Mitch Kapor, of Lotus 1-2-3 fame and co-founder of the 
> Electronic Frontier
> Foundation, made opinions of The Old Guard clear to the 
> author of The Hacker
> Crackdown (1992 Bantam Books) during an interview:
> 
> "You go tell a hardware hacker that everyone should have a node on the
> Internet, and the first thing they'll tell you is: 'IP 
> doesn't scale.' The
> answer is: Evolve the protocol!   Get smart people together 
> and figure out
> what to do.  Do we add [identification]? Do we add protocol?  
> Don't just say
> 'we can't do it.'"
> 
> The Old Guard tells us We Can't Do It and then goes to 
> extreme lengths to
> prove why.  I say: B***S***.  I'll bet Tim Berners-Lee 
> thought that, and the
> result is the World Wide Web.  We have The Old Guard saying 
> that we can't do
> X in DNS, we can't do Y in SMTP.
> 
> Even though it was done.
> 
> We have Bob Atkinson telling me his company's software can't 
> do X in DNS even
> though folks here proved him wrong.  And it didn't even 
> require rewriting
> DNS.
> 
> Earlier proposals worked entirely within existing DNS and 
> SMTP framework,
> even if they did change some semantics in SMTP and made some 
> DNS old farts
> turn up their noses.  They still worked within the system to 
> the system's
> specifications.
> 
> Yet they were rejected based on semantics.  Outdated 
> semantics, I might add,
> based on an Internet where it was assumed all communication 
> was wanted and
> requested.
> 
> To Mitch Kapor, "...this is the snobbery of the people on the 
> Mayflower
> looking down their noses at the people who came over [to the 
> New World] on
> the _second boat!_"
> 
> By what right do you, The Old Guard, have to look down your 
> noses at folks
> like me?  Like Meng?  Like Hadmut?  Like Raymond?  Criticism 
> ("Where's the
> debugger?") is one thing, but you went beyond mere criticism 
> to outright
> denial.
> 
> As for the patent issues, I believe "Chairman Bill" and his pack of
> cartooneys can stand a lesson on where they came from.  That 
> goes for you
> guys, Harry, Bob, and the others whose names grace certain patent
> applications.  You all came on The Second Boat looking down 
> at us coming on
> the third, pretending that the Mayflower didn't exist.  Or 
> that the first
> boat infringed on your patents.  Or something stupid like that.
> 
> [1] During the second English keynote speech which I'll call 
> the "Don't Try
> This At Home" speech, the speaker took an unnecessary stab at 
> Microsoft Word
> as being a security risk for allowing active content in a 
> document.  I didn't
> hear any chuckles from the audience and I'm not surprised - 
> not only was the
> presentation B-O-R-I-N-G, it was demeaning, disrespectful to 
> the audience and
> disrespectful to "the folks on the second boat" who produced 
> MS Word they way
> they did Because Their Customers Asked For It.[2]  I took a 
> moment to try to
> bring this to light to the speaker afterward.  I made my 
> first enemy in the
> IETF and it was only my first day on site.
> 
> [2] Users keep demanding functionality with little or no 
> regard to security.
> That's not Microsoft's fault.
> <http://www.vmyths.com/rant.cfm?id=376&page=4>
> 
> -- 
> PGP key (0x0AFA039E): <http://www.pan-am.ca/[email-masked]>
> Sometimes it's hard to tell where the game ends and where 
> reality bites,
> er, begins. <http://vmyths.com/resource.cfm?id=50&page=1>
>